Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.describeplatform
Class DescribePlatformRequest

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.sos.describeplatform.DescribePlatformRequest

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribePlatformRequest

extends AbstractOGCWebServiceRequest

represent a DescribePlatformRequest

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Matthias Kulbe , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Method Summary
`static DescribePlatformRequest` | `create(Map<String,String> map)` creates a DescribePlatform Request from a KVP Map
`static DescribePlatformRequest` | `create(String id, Document doc)` creates a DescribePlatform Request from a XML Document
`static void` | `create(String id, String version, String outputFormat, String[] typeNames)`
`String` | `getOutputFormat()` returns the desired output format name
`String` | `getServiceName()` fixed 'SOS'
`String[]` | `getTypeNames()`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static DescribePlatformRequest create(Map<String,String> map)
                                          throws OGCWebServiceException

  creates a DescribePlatform Request from a KVP Map

  Parameters:
    `map` -
  Returns:
    the new request
  Throws:
    `OGCWebServiceException`

### create

    public static DescribePlatformRequest create(String id,
                                                 Document doc)
                                          throws OGCWebServiceException

  creates a DescribePlatform Request from a XML Document

  Parameters:
    `id` -
    `doc` -
  Returns:
    the new request
  Throws:
    `OGCWebServiceException`

### create

    public static void create(String id,
                              String version,
                              String outputFormat,
                              String[] typeNames)

  Parameters:
    `id` -
    `version` -
    `outputFormat` -
    `typeNames` -

### getServiceName

    public String getServiceName()

  fixed 'SOS'

  Returns:
    the String "SOS"

### getTypeNames

    public String[] getTypeNames()

  Returns:
    typeNames

### getOutputFormat

    public String getOutputFormat()

  returns the desired output format name

  Returns:
    desired output format name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org